
STRINS			PB-Lib C/C++ Library Programmer's Manual		STRINS


NAME
	strins  - inserts a string into another

SYNOPSIS
	#include <strlib.h>

	char *strins(char *s1, const char *s2, size_t index);

DESCRIPTION
	strins() inserts s2 into s1 at position index. s1 must be big enough
	to accomodate the new string. Note that index starts from 0. So,
	to insert after the fourth character, index should be 4, not 5. If
	index exceeds strlen(s), the new string is appended.

RETURN VALUE
	strins returns s1 with s2 inserted at the requested position.

EXAMPLE
	#include <stdio.h>
	#include <strlib.h>

	int
	main(int argv, char *argv[])
	{
		char buf[30];

		strcpy( buf, "Hell!" );
		printf( "%s\n", strins(buf, "o, world", 4) );
		return 0;
	}



