
STRLEFT			PB-Lib C/C++ Library Programmer's Manual		STRLEFT


NAME
	strleft - returns first characters from a string

SYNOPSIS
	#include <strlib.h>

	char *strleft(char *dest, const char *src, size_t n);

DESCRIPTION
	strleft() copies the first n characters from string src into dest.
	The destination buffer must be big enough to accomodate the result.
	If n > strlen(s), the whole string src will be copied into dest.
	The resulting buffer will always be NUL-terminated.

RETURN VALUE
	strleft() returns a string with first n characters from src.

EXAMPLE
	#include <stdio.h>
	#include <strlib.h>

	int
	main(int argc, char *argv[])
	{
		char buf[30];

		printf( "%s\n", strleft(buf, "Hello, world! And others", 13) );
		return 0;
	}


