
STRMID			PB-Lib C/C++ Library Programmer's Manual		STRMID


NAME
	strmid  - returns characters starting at given index

SYNOPSIS
	#include <strlib.h>

	char *strmid(char *dest, const char *src, size_t index, size_t n);

DESCRIPTION
	strmid() copies n characters from string src, starting at index into
	dest. The destination buffer must be big enough to accomodate the
	result. If index + n > strlen(s), all characters from index to the
	end of the string will be copied. If index > strlen(s), no action is
	performed and the resulting dest is undefined.

RETURN VALUE
	strmid() returns specified number of characters from src.

EXAMPLE
	#include <stdio.h>
	#include <strlib.h>

	int
	main(int argc, char *argv[])
	{
		char buf[30];

		printf( "%s\n", strmid(buf,"Here: 'Hello, world!' again",13,7) );
		return 0;
	}

