
STRTRM			PB-Lib C/C++ Library Programmer's Manual		STRTRM


NAME
	strtrm  - trims leading whitespace from a string

SYNOPSIS
	#include <strlib.h>

	char *strtrm(char *s);

DESCRIPTION
	strtrm() trims all whitespace characters from the start of the string
	s. Whitespace is defined by the isspace call (spaces, horizontal tabs,
	newlines, form feeds, vertical tabs).

RETURN VALUE
	strtrm() returns a pointer to the modified string s.

EXAMPLE
	#include <stdio.h>
	#include <strlib.h>

	int
	main(int argc, char *argv)
	{
		char buf[20] = ;

		strcpy( buf, "  \n\t \t    Hello, world!" );
		printf( "%s\n", strtrm(buf) );
		return 0;
	}

