
STRTTS			PB-Lib C/C++ Library Programmer's Manual		STRTTS


NAME
	strtts  - expands tabs to spaces

SYNOPSIS
	#include <strlib.h>

	char *strtts(const char *s, int n);

DESCRIPTION
	strtts() expands all tabs in string s to spaces using a width n.
	It returns a pointer to a newly allocated string which contains
	the string with the tabs converted to appropriate number of spaces.
	The caller is responsible for freeing the resulting string.

EXAMPLE
	#include <stdio.h>
	#include <strlib.h>

	int
	main(int argc, char *argv[])
	{
		char *ptr;

		ptr = strtts(buf,"This\tis some\t\t test here",4);
		if( ptr ){
			printf( "%s\n", ptr );
			free( ptr );
		}
		return 0;
	}


